package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;

@ApiModel(value = "com-ym-mec-biz-dal-entity-StudentInstrument")
public class StudentInstrument extends BaseEntity {
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id")
    private Integer studentId;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private Integer goodsId;

    /**
     * 分类id
     */
    @ApiModelProperty(value = "商品分类id")
    private Integer goodsCategoryId;

    /**
     * 分类id
     */
    @ApiModelProperty(value = "商品分类名称")
    private String goodsCategoryName;

    /**
     * 是否乐保 0-不是 1-是
     */
    @ApiModelProperty(value = "是否乐保 0-不是 1-是")
    private Integer status;

    /**
     * 乐保开始时间
     */
    @ApiModelProperty(value = "乐保开始时间")
    private Date startTime;

    /**
     * 乐保结束时间
     */
    @ApiModelProperty(value = "乐保结束时间")
    private Date endTime;

    /**
     * 对应订单id
     */
    @ApiModelProperty(value = "原订单id")
    private Long orderId;

    /**
     * 对应订单id
     */
    @ApiModelProperty(value = "更改后订单id")
    private Long changeOrderId;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private Integer operation;

    /**
     * 添加时间
     */
    @ApiModelProperty(value = "添加时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "删除标识 1 已删除 0 正常")
    private Integer delFlag;

    @ApiModelProperty(value = "乐器名称")
    private String goodsName;

    @ApiModelProperty(value = "乐器品牌")
    private String goodsBrand;

    @ApiModelProperty(value = "乐器规格")
    private String specification;

    @ApiModelProperty(value = "乐器图片")
    private String goodsImg;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "分部")
    private String organName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }


    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getGoodsBrand() {
        return goodsBrand;
    }

    public void setGoodsBrand(String goodsBrand) {
        this.goodsBrand = goodsBrand;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public String getGoodsCategoryName() {
        return goodsCategoryName;
    }

    public void setGoodsCategoryName(String goodsCategoryName) {
        this.goodsCategoryName = goodsCategoryName;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getOperation() {
        return operation;
    }

    public void setOperation(Integer operation) {
        this.operation = operation;
    }

    public Long getChangeOrderId() {
        return changeOrderId;
    }

    public void setChangeOrderId(Long changeOrderId) {
        this.changeOrderId = changeOrderId;
    }
}